//bpd2000 31-05-2020

#include "hmg.ch"

#ifndef __XHARBOUR__
   #xcommand TRY  => BEGIN SEQUENCE WITH {|oErr| Break( oErr )}
   #xcommand CATCH [<!oErr!>] => RECOVER [USING <oErr>] <-oErr->
#endif

FUNCTION MAIN()

  GetExcelsheetname() 

Return NIL


//This function reads an Excel sheet name without using MS-Office
Function GetExcelsheetname() 

LOCAL objExcel, rsSchema, oError
LOCAL myXlsFile  := "Demofile.xls"


objExcel := TOleauto():New('ADODB.Connection')
objExcel:ConnectionString ='Provider=Microsoft.ACE.OLEDB.12.0;' + ;
                     'Data Source=' + myXlsFile + ';' + ;
                     'Extended Properties="Excel 12.0 Xml;' + "" +'IMEX=1' + '";' 
TRY
   objExcel:Open()
CATCH oError
   MsgStop("Operation: " + oError:Operation + " - Description: " + oError:Description, "Error")
   RETURN arrData
END

rsSchema := objExcel:OpenSchema(20)
rsSchema:MoveFirst()

Do While ! rsSchema:EOF()
    msginfo((rsSchema:Fields("table_name"):VALUE))
    rsSchema:MoveNext()
enddo
rsSchema:Close()
objExcel:Close()

Return nil